﻿
$ErrorActionPreference = 'Stop';
$url32 = 'https://msedge.sf.dl.delivery.mp.microsoft.com/filestreamingservice/files/a00a7483-0ba9-4663-9573-cd887fa55edf/MicrosoftEdgeEnterpriseX86.msi'
$url64 = 'https://msedge.sf.dl.delivery.mp.microsoft.com/filestreamingservice/files/6c81271b-682e-4299-a0e0-e00f65e76619/MicrosoftEdgeEnterpriseX64.msi'

$packageArgs = @{
  packageName    = $env:ChocolateyPackageName
  fileType       = 'MSI'
  url            = $url32
  url64bit       = $url64

  softwareName   = 'Microsoft Edge'

  checksum       = 'D13C094A702A1D9332C889F946A62EB754B3778439F117AB16D3EA7E699B130B'
  checksumType   = 'sha256'
  checksum64     = '6A4881CC9FF0E316FAE2CBE4B4C3446A8A3955A3072BB0B5B21C58BE71D4AD22'
  checksumType64 = 'sha256'

  silentArgs     = "/qn /norestart /l*v `"$($env:TEMP)\$($packageName).$($env:chocolateyPackageVersion).MsiInstall.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
